x = (-4 : 0.01 : 4);

subplot(2, 2, 1); hold on;
y = x - x.^2;
plot(x, y, 'linewidth', 2, 'color', [0.68; 0; 0.3]);
y2 = y - y.^2;
plot(x, y2, 'linewidth', 1.5, 'color', [1; 0.2; 0.3]);
y3 = y2 - y2.^2;
plot(x, y3, 'linewidth', 1.5, 'color', [0.7, 0.3, 0.5]);
y4 = y3 - y3.^2;
plot(x, y4, 'linewidth', 1.5, 'color', [0.1, 0.5, 0.8]);
plot(x, x, '--', 'linewidth', 1.5, 'color', [0; 0; 0]);
axis([-2 3 -4 2]); xlabel('X'); ylabel('Y');
title('iteraciones de {f(x) = x - x^2}');
grid on;

subplot(2, 2, 2); hold on;
y = 2 * (x - x.^2);
plot(x, y, 'linewidth', 1.5, 'color', [0.68; 0; 0.3]);
y2 = 2 * (y - y.^2);
plot(x, y2, 'linewidth', 1.5, 'color', [1; 0.2; 0.3]);
y3 = 2 * (y2 - y2.^2);
plot(x, y3, 'linewidth', 1.5, 'color', [0.7, 0.3, 0.5]);
y4 = 2 * (y3 - y3.^2);
plot(x, y4, 'linewidth', 1.5, 'color', [0.1, 0.5, 0.8]);
plot(x, x, '--', 'linewidth', 1.5, 'color', [0; 0; 0]);
axis([-2 3 -4 2]); xlabel('X'); ylabel('Y');
title('iteraciones de {f(x) = 2x - x^2}');
grid on;

subplot(2, 2, 3); hold on;
y = x.^3 - 1 / 9 * x;
plot(x, y, 'linewidth', 1.5, 'color', [0.68; 0; 0.3]);
y2 = y.^3 - 1 / 9 * y;
plot(x, y2, 'linewidth', 1.5, 'color', [1; 0.2; 0.3]);
y3 = y2.^3 - 1 / 9 * y2;
plot(x, y3, 'linewidth', 1.5, 'color', [0.7, 0.3, 0.5]);
y4 = y3.^3 - 1 / 9 * y3;
plot(x, y4, 'linewidth', 1.5, 'color', [0.1, 0.5, 0.8]);
plot(x, x, '--', 'linewidth', 1.5, 'color', [0; 0; 0]);
axis([-2 2 -4 4]); xlabel('X'); ylabel('Y');
title('iteraciones de {f(x) = x^3 - 1 / 9 x}');
grid on;

subplot(2, 2, 4); hold on;
y = x.^3 - x;
plot(x, y, 'linewidth', 1.5, 'color', [0.68; 0; 0.3]);
y2 = y.^3 - y;
plot(x, y2, 'linewidth', 1.5, 'color', [1; 0.2; 0.3]);
y3 = y2.^3 - y2;
plot(x, y3, 'linewidth', 1.5, 'color', [0.7, 0.3, 0.5]);
y4 = y3.^3 - y3;
plot(x, y4, 'linewidth', 1.5, 'color', [0.1, 0.5, 0.8]);
plot(x, x, '--', 'linewidth', 1.5, 'color', [0; 0; 0]);
axis([-2 2 -4 4]); xlabel('X'); ylabel('Y');
title('iteraciones de {f(x) = x^3 - x}');
grid on;
